package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MusicScoreSubjectDto {

    @ApiModelProperty(value = "声部",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "学员编号",required = false)
    private List<Integer> userIdList;

    @ApiModelProperty(value = "曲目编号（兼容旧数据）",required = false)
    private List<Integer> musicScoreIdList;

    @ApiModelProperty(value = "曲目编号、分谱（新版布置作业需要）",required = false)
    private List<MusicScoreHomeworkDto> musicScoreHomeworkDtoList;

    public List<MusicScoreHomeworkDto> getMusicScoreHomeworkDtoList() {
        return musicScoreHomeworkDtoList;
    }

    public void setMusicScoreHomeworkDtoList(List<MusicScoreHomeworkDto> musicScoreHomeworkDtoList) {
        this.musicScoreHomeworkDtoList = musicScoreHomeworkDtoList;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public List<Integer> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Integer> userIdList) {
        this.userIdList = userIdList;
    }

    public List<Integer> getMusicScoreIdList() {
        return musicScoreIdList;
    }

    public void setMusicScoreIdList(List<Integer> musicScoreIdList) {
        this.musicScoreIdList = musicScoreIdList;
    }
}
